Search SmartBoxes

Retrieve data for multiple SmartBoxes with a GET request to the endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

If no search parameters are provided, the API will return all available SmartBoxes.

Search by Location ID

You can filter SmartBoxes associated with a specific location by providing a location ID.

Example

curl -u '[email protected]:{password}' "https://www.keycafe.com/v0/box?location=123456" -H "Accept: application/json"

Search by Organization ID

You can also search for SmartBoxes linked to all locations within a specified organization ID.

curl -u '[email protected]:{password}' "https://www.keycafe.com/v0/box?organization=123456" -H "Accept: application/json"

Pagination

Results are paginated, with a maximum of 50 smart boxes per page. Additional pages can be accessed using the Link response header

Link: <https://www.keycafe.com/v0/box?location=123456&page=2>; rel="next", <https://www.keycafe.com/v0/box?location=123456&page=5>; rel="last"
  • rel="first": URL to retrieve the first page of results.
  • rel="prev": URL to retrieve the previous page of results.
  • rel="next": URL to retrieve the next page of results.
  • rel="last": URL to retrieve the final page of results.
Query Params
int64

The ID of a location by which to filter results.
Example:123456

int64

The ID of an organization by which to filter results.
Example:123456

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json